Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.net.http
Class HttpClient

    java.lang.Object
      |
      +--weblogic.net.http.HttpClient

Direct Known Subclasses:
  HttpsClient

public class HttpClient
extends java.lang.Object

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected java.lang.String` | `host`
`protected static KeepAliveCache` | `kac`
`protected KeepAliveStream` | `kas`
`protected int` | `numReq`
`protected int` | `port`
`static java.lang.String` | `proxyHost`
`static int` | `proxyPort`
`protected java.io.InputStream` | `serverInput`
`protected HttpOutputStream` | `serverOutput`
`protected java.net.Socket` | `serverSocket`
`protected java.net.URL` | `url` Url being fetched.
`boolean` | `usingProxy`

Constructor Summary
`protected` | `HttpClient(java.net.URL url)`

Method Summary
`void` | `closeServer()` Closes server and removes from KeepAliveCache
`static void` | `finished(HttpClient done)`
`protected int` | `getDefaultPort()` return default port number (subclasses may override)
`java.io.InputStream` | `getInputStream()`
`HttpOutputStream` | `getOutputStream()`
`protected java.lang.String` | `getProtocol()`
`java.lang.String` | `getURLFile()` Parse the first line of the HTTP request.
`boolean` | `isKeepingAlive()`
`static HttpClient` | `New(java.net.URL url)`
`protected void` | `openServer()`
`protected void` | `openServer(java.lang.String server, int port)`
`void` | `parseHTTP(MessageHeader responses)`
`static void` | `resetProperties()` re-initialize the dontProxy list, proxyHost/proxyPort, and maxConnections from system properties.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### proxyHost

    public static java.lang.String proxyHost

### proxyPort

    public static int proxyPort

### kac

    protected static KeepAliveCache kac

### kas

    protected KeepAliveStream kas

### serverSocket

    protected java.net.Socket serverSocket

### serverOutput

    protected HttpOutputStream serverOutput

### serverInput

    protected java.io.InputStream serverInput

### usingProxy

    public boolean usingProxy

### host

    protected java.lang.String host

### port

    protected int port

### numReq

    protected int numReq

### url

    protected java.net.URL url

  Url being fetched.

Constructor Detail

### HttpClient

    protected HttpClient(java.net.URL url)
                  throws java.io.IOException

Method Detail

### resetProperties

    public static void resetProperties()

  re-initialize the dontProxy list, proxyHost/proxyPort, and maxConnections from system properties.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### isKeepingAlive

    public final boolean isKeepingAlive()

### getInputStream

    public java.io.InputStream getInputStream()

### getOutputStream

    public HttpOutputStream getOutputStream()

### getDefaultPort

    protected int getDefaultPort()

  return default port number (subclasses may override)

### New

    public static HttpClient New(java.net.URL url)
                          throws java.io.IOException

### finished

    public static void finished(HttpClient done)

### openServer

    protected void openServer(java.lang.String server,
                              int port)
                       throws java.io.IOException

### getProtocol

    protected java.lang.String getProtocol()

### openServer

    protected void openServer()
                       throws java.io.IOException

### getURLFile

    public java.lang.String getURLFile()

  Parse the first line of the HTTP request. It usually looks something like: "HTTP/1.0 comment\r\n".

### parseHTTP

    public void parseHTTP(MessageHeader responses)
                   throws java.io.IOException

### closeServer

    public void closeServer()

  Closes server and removes from KeepAliveCache

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD